curl "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x.../fee"
const response = await fetch(
'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x.../fee'
);
const data = await response.json();
{
"percentage_fee": 0.1,
"fee": 0
}
Agents
Get Fee
Get fee information for a wallet
GET
/
api
/
v1
/
{chain_id}
/
wallets
/
{wallet}
/
fee
curl "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x.../fee"
const response = await fetch(
'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x.../fee'
);
const data = await response.json();
{
"percentage_fee": 0.1,
"fee": 0
}
SDK Alternative: Use
agent.fees() for a simpler TypeScript interface. See SDK docsDescription
Retrieves the fee information for a wallet, including the percentage fee applied to yields.Path Parameters
Query Parameters
Response
curl "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x.../fee"
const response = await fetch(
'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x.../fee'
);
const data = await response.json();
{
"percentage_fee": 0.1,
"fee": 0
}